<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3><strong>Add Role Manager</strong></h3>
            </div>
           <div class="ibox-content">   
                <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit) = "addUsers(f)">
  
                    <div class="form-group">
                        <label class="col-sm-2 control-label">FirstName<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength= "70" placeholder = " Name" name="firstname" #firstname="ngModel" [(ngModel)]="usersModel.firstname" required>
                            <div class="error-msg" *ngIf="firstname.errors && (firstname.dirty || firstname.touched || f.submitted)" >
                                <div [hidden]="!firstname.errors.required">FirstName is required.</div>
                            </div>
                        </div>
                    </div>
  
                    <div class="form-group"><label class="col-sm-2 control-label">LastName<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength= "70" placeholder = "Lastname" name="lastname" #lastname="ngModel" [(ngModel)]="usersModel.lastname" required>
                            <div class="error-msg" *ngIf="lastname.errors && (lastname.dirty || lastname.touched || f.submitted)" >
                                <div [hidden]="!lastname.errors.required">LastName is required.</div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group"><label class="col-sm-2 control-label">Email<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength= "70" placeholder = "Email" name="email" #email="ngModel" [(ngModel)]="usersModel.email" required>
                            <div class="error-msg" *ngIf="email.errors && (email.dirty || email.touched || f.submitted)" >
                                <div [hidden]="!email.errors.required">Email is required.</div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group"><label class="col-sm-2 control-label">Password<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength= "70" placeholder = "Password" name="password" #password="ngModel" [(ngModel)]="usersModel.password" required>
                            <div class="error-msg" *ngIf="password.errors && (password.dirty || password.touched || f.submitted)" >
                                <div [hidden]="!password.errors.required">Password is required.</div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group"><label class="col-sm-2 control-label">PhoneNumber<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength= "70" placeholder = "PhoneNumber" name="phonenumber" #phonenumber="ngModel" [(ngModel)]="usersModel.phonenumber" required>
                            <div class="error-msg" *ngIf="phonenumber.errors && (phonenumber.dirty || phonenumber.touched || f.submitted)" >
                                <div [hidden]="!phonenumber.errors.required">PhoneNumber is required.</div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Role
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder = "Role" name="role" #role="ngModel" [(ngModel)]="usersModel.role" class="form-control"
                                required>
                                <mat-option value="2" >
                                    Dispatcher
                                </mat-option>
                                <mat-option value="3">
                                    Admin
                                </mat-option>
                                <mat-option value="4">
                                    FleetManager
                                </mat-option>
                            </mat-select>
                            <div class="error-msg" *ngIf="role.invalid && (role.dirty || role.touched || f.submitted)" >
                                <div *ngIf="role.errors.required">Role is required.</div>
                            </div>
                        </div>
                    </div>

                    
                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary"  type="submit">Save</button>
                            <button class="btn btn-white" type="button" [routerLink] = "['/admin/administration/roles']">Cancel</button>
                        </div>
                    </div>           
                </form>
            </div>
        </div>
  </div>
  </div>